<?php

namespace Ebuy\Discount\Repositories\Eloquent;

use Ebuy\Discount\Interfaces\DiscountRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Ebuy\Discount\Repositories\Eloquent\Presenters\DiscountItemPresenter;


class DiscountRepository extends BaseRepository implements DiscountRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('ebuy.discount.discount.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('ebuy.discount.discount.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return DiscountItemPresenter::class;
    }
}
